package com.xyh.mychatgpt.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xyh.mychatgpt.entity.ChatQuestionEntity;
import com.xyh.mychatgpt.utils.PageUtils;

import java.util.List;
import java.util.Map;

/**
 * chat管理模块
 *
 * @author xiangyuanhong
 * @email xiangyuanhong08@163.com
 * @date 2023-03-20 17:16:47
 */
public interface ChatQuestionService extends IService<ChatQuestionEntity> {

    /**
     * 分页查询列表
     * @param params
     * @return
     */
    PageUtils queryPage(Map<String, Object> params);
    /**
     * 查询列表
     * @param params
     * @return
     */

    List<ChatQuestionEntity> queryList(Map<String, Object> params);

    /**
     * 根据ID修改数据deleted状态进行数据假删除
     * @param ids
     * @return
     */
    boolean deleteBatch(Long[] ids);

    boolean save(ChatQuestionEntity entity);

    boolean update(ChatQuestionEntity entity);
}

