package com.xyh.mychatgpt.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * chat管理模块
 * 
 * @author xiangyuanhong
 * @email xiangyuanhong08@163.com
 * @date 2023-03-20 17:16:47
 */
@Data
@TableName("xyh_chat_question")
public class ChatQuestionEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键ID
	 */
	@TableField(value="uuid")
	@TableId
	private String uuid;
	/**
	 * 提交问题
	 */
	@TableField(value="quesion")
	private String quesion;
	/**
	 * 创建时间
	 */
	@TableField(value="create_time")
	private Date createTime;
	/**
	 * 修改时间
	 */
	@TableField(value="update_time")
	private Date updateTime;
	/**
	 * SESSIONID
	 */
	@TableField(value="session_id")
	private String sessionId;
	/**
	 * 1:已返回；0:未返回客户端
	 */
	@TableField(value="consumed")
	private Integer consumed;

}
